fix: resolve the apk build

This commit is contained in:
2026-04-05 21:35:09 +07:00
parent 5785b1594a
commit 10f7aaf56f
24 changed files with 691 additions and 274 deletions
+9 -9
View File
@@ -14,13 +14,13 @@ jobs:
permissions: write-all
runs-on: ubuntu-latest
steps:
- uses: actions/setup-java@v4
- uses: actions/setup-java@v5
with:
distribution: 'zulu'
java-version: '17'
distribution: "zulu"
java-version: "21"
- name: Checkout
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
fetch-depth: 0
submodules: true
@@ -71,7 +71,7 @@ jobs:
file_glob: true
overwrite: true
- name: Update changelog and Magisk update json
- name: Update changelog and update json
id: update_config
run: |
git checkout -f update || git switch --discard-changes --orphan update
@@ -86,8 +86,8 @@ jobs:
}
cd build || { echo "build folder not found"; exit 1; }
for OUTPUT in *magisk*.zip; do
[ "$OUTPUT" = "*magisk*.zip" ] && continue
for OUTPUT in *module*.zip; do
[ "$OUTPUT" = "*module*.zip" ] && continue
ZIP_S=$(unzip -p "$OUTPUT" module.prop)
if ! UPDATE_JSON=$(echo "$ZIP_S" | grep updateJson); then continue; fi
UPDATE_JSON="${UPDATE_JSON##*/}"
@@ -100,7 +100,7 @@ jobs:
find . -name "*-update.json" | grep . || : >dummy-update.json
- uses: stefanzweifel/git-auto-commit-action@v5
- uses: stefanzweifel/git-auto-commit-action@v7
with:
branch: update
skip_checkout: true
@@ -114,7 +114,7 @@ jobs:
run: |
cd build || { echo "build folder not found"; exit 1; }
TG_CHAT="-1002417137882"
TG_CHAT="@rvc_magisk"
NL=$'\n'
APKS=""
MODULES=""
+2 -2
View File
@@ -10,7 +10,7 @@ jobs:
runs-on: ubuntu-latest
steps:
- name: Checkout
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
fetch-depth: 0
@@ -47,4 +47,4 @@ jobs:
needs: check
uses: ./.github/workflows/build.yml
if: ${{ needs.check.outputs.SHOULD_BUILD == 1 }}
secrets: inherit
secrets: inherit